Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class RootExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.AlternateExpression
              jpicedt.format.input.util.RootExpression

All Implemented Interfaces:
  ExpressionConstants

Direct Known Subclasses:
  EepicParser, LaTeXParser, PstricksParser

public class RootExpression
extends AlternateExpression

This is the super-class for head-expressions that contain grammar rule for a given format.

Since:
  jpicedt 1.3
Version:
  $Id: RootExpression.java,v 1.4.2.1 2007/09/02 11:56:14 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`RootExpression()`

Method Summary
`void` | `reinit()` reinit sub-tree (e.g.

Methods inherited from class jpicedt.format.input.util.AlternateExpression
`add, getExpressionList, interpret, toString`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RootExpression

    public RootExpression()

Method Detail

### reinit

    public void reinit()

  reinit sub-tree (e.g. shared variables,...) ; current implementation does nothing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org